# ChangeLog for media-gfx/graphviz
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/graphviz/ChangeLog,v 1.113 2007/03/06 20:13:24 vapier Exp $

  06 Mar 2007; Mike Frysinger <vapier@gentoo.org> graphviz-2.8-r2.ebuild:
  Drop <media-libs/gd-2.0.34 in favor of tweaking the gd header file on the
  fly #165460.

  05 Mar 2007; Tiziano Müller <dev-zero@gentoo.org>
  +files/graphviz-2.12-bindings.patch, graphviz-2.12.ebuild:
  Re-enabling the perl,python,ruby bindings, thanks to a patch written by
  dleverton

  03 Mar 2007; Tiziano Müller <dev-zero@gentoo.org> graphviz-2.12.ebuild:
  Added a sed-patch to nuke the dead binding-symlinks.

  03 Mar 2007; Tiziano Müller <dev-zero@gentoo.org>
  +files/graphviz-2.12-configure.patch, files/graphviz-2.12-notcl.patch,
  graphviz-2.12.ebuild:
  Dropped all bindings except the one for tcl since it is needed for the tools
  to work. Cleanups and documentation.

  19 Feb 2007; Chris Bainbridge <chrb@gentoo.org> graphviz-2.12.ebuild:
  Remove AM_ICONV macro from configure on non-nls builds, bug #155791

  19 Feb 2007; Chris Bainbridge <chrb@gentoo.org> graphviz-2.12.ebuild:
  Add depend on glib, bug #167235

  19 Feb 2007; Chris Bainbridge <chrb@gentoo.org> graphviz-2.8-r2.ebuild,
  graphviz-2.12.ebuild:
  Depend on swig-1.3.31 when using lua or ocaml binding, bug #161600

  19 Feb 2007; Chris Bainbridge <chrb@gentoo.org> graphviz-1.16-r1.ebuild:
  Remove unsupported 'dot -c', bug #130418

  16 Feb 2007; Chris Bainbridge <chrb@gentoo.org> graphviz-2.8-r2.ebuild,
  graphviz-2.12.ebuild:
  Fix guile DEPEND, #135625

  15 Feb 2007; Christian Faulhammer <opfer@gentoo.org> graphviz-2.12.ebuild:
  stable x86; bug 165460

  15 Feb 2007; Chris Bainbridge <chrb@gentoo.org> graphviz-2.8-r1.ebuild,
  graphviz-2.8-r2.ebuild:
  Fix DEPEND on <gd-2.0.34, bug #165460

*graphviz-2.12 (12 Feb 2007)

  12 Feb 2007; Tiziano Müller <dev-zero@gentoo.org>
  -files/graphviz-1.12-build.patch, -files/graphviz-2.4.conf,
  +files/graphviz-2.12-find-system-libgd.patch,
  +files/graphviz-2.12-notcl.patch, -files/gdgen.c.patch,
  -graphviz-1.10.ebuild, -graphviz-1.12.ebuild, -graphviz-1.12-r1.ebuild,
  -graphviz-1.16.ebuild, -graphviz-2.2.ebuild, -graphviz-2.2.1.ebuild,
  -graphviz-2.2.1-r1.ebuild, -graphviz-2.4.ebuild, -graphviz-2.6.ebuild,
  -graphviz-2.8.ebuild, +graphviz-2.12.ebuild:
  Version bump (bug #161302), fixes bug #160012. Cleanup (bug #160012).

  11 Feb 2007; Christian Faulhammer <opfer@gentoo.org>
  graphviz-1.16-r1.ebuild, graphviz-2.2.1.ebuild, graphviz-2.8-r1.ebuild,
  graphviz-2.8-r2.ebuild:
  moved from USE flag tcltk to split tcl and tk, see bug 17808

  10 Jan 2007; Piotr Jaroszyński <peper@gentoo.org> Manifest:
  Fix Manifest.

  10 Jan 2007; <marijn@gentoo.org> graphviz-2.8-r2.ebuild:
  Dependency update: dev-util/guile -> dev-scheme/guile.

  07 Jan 2007; Bryan Østergaard <kloeri@gentoo.org> graphviz-2.8-r2.ebuild:
  Fix python-2.5 related issue, bug 148656.

  05 Jan 2007; Diego Pettenò <flameeyes@gentoo.org> graphviz-1.10.ebuild,
  graphviz-1.12.ebuild, graphviz-1.12-r1.ebuild, graphviz-1.16.ebuild,
  graphviz-1.16-r1.ebuild, graphviz-2.2.ebuild:
  Remove gnuconfig_update usage, leave it to econf.

  19 Oct 2006; Bryan Østergaard <kloeri@gentoo.org> graphviz-2.8-r2.ebuild:
  Stable on Alpha.

  06 Oct 2006; Mike Frysinger <vapier@gentoo.org> graphviz-2.8-r2.ebuild:
  Fix #134834 properly by forcing LC_ALL instead of LC_COLLATE.

  25 Sep 2006; Luca Barbato <lu_zero@gentoo.org> graphviz-2.8-r2.ebuild:
  dont depend on swig if you arent building bindings

*graphviz-2.8-r2 (24 Sep 2006)

  24 Sep 2006; Luca Barbato <lu_zero@gentoo.org> +graphviz-2.8-r2.ebuild:
  fix libtool/autotools deps and language binding bug #142712 and bug #148733,
  thanks to the respective reporters

*graphviz-2.8-r1 (21 Sep 2006)

  21 Sep 2006; Chris Bainbridge <chrb@gentoo.org> +graphviz-2.8-r1.ebuild:
  Fix #134834

  14 Sep 2006; Danny van Dyk <kugelfang@gentoo.org> graphviz-2.8.ebuild:
  Marked stable on amd64.

  13 Sep 2006; <ticho@gentoo.org> graphviz-2.8.ebuild:
  Stable on x86, bug 138937.

  10 Sep 2006; Stephanie Lockwood-Childs <wormo@gentoo.org>
  graphviz-2.8.ebuild:
  stable on ppc (Bug #138937)

  04 Sep 2006; Gustavo Zacarias <gustavoz@gentoo.org> graphviz-2.8.ebuild:
  Stable on sparc wrt #138937

  02 Sep 2006; Jeroen Roovers <jer@gentoo.org> graphviz-2.8.ebuild:
  Stable for HPPA (bug #138937).

  12 Aug 2006; Markus Rothe <corsair@gentoo.org> graphviz-2.8.ebuild:
  Stable on ppc64; bug #138937

  13 Jul 2006; Aron Griffis <agriffis@gentoo.org> graphviz-2.8.ebuild:
  Mark 2.8 stable on ia64

  05 Jul 2006; Luca Barbato <lu_zero@gentoo.org> graphviz-2.6-r1.ebuild:
  Move to split tck and tk useflag, thanks to Fabian Groffen
  <grobian@gentoo.org> for the fix about tclsh, bug #139333

  03 Jul 2006; Lars Weiler <pylon@gentoo.org> graphviz-2.6-r1.ebuild:
  Stable on ppc; needed for bug #138937.

  29 May 2006; Steve Arnold <nerdboy@gentoo.org>
  +files/graphviz-2.8-notcl.patch, graphviz-2.8.ebuild:
  Added notcl patch and minimal use flag.

  28 May 2006; Steve Arnold <nerdboy@gentoo.org> graphviz-2.4.ebuild,
  graphviz-2.6.ebuild, graphviz-2.6-r1.ebuild, graphviz-2.8.ebuild:
  Added missing tcl depends to 2.4 and above (not sure why it was
  missing).

  28 May 2006; Steve Arnold <nerdboy@gentoo.org> graphviz-2.8.ebuild:
  Made swig a hard dep for now (feel free to suggest additional ways
  to handle the language bindings).

  28 May 2006; Steve Arnold <nerdboy@gentoo.org> graphviz-2.4.ebuild,
  graphviz-2.6.ebuild, graphviz-2.6-r1.ebuild, graphviz-2.8.ebuild:
  fixed deps and made gd external (per upstream recommendation)

*graphviz-2.8 (28 May 2006)

  27 May 2006; Steve Arnold <nerdboy@gentoo.org> graphviz-2.4.ebuild,
  graphviz-2.6.ebuild, graphviz-2.6-r1.ebuild, +graphviz-2.8.ebuild:
  Fixes and updates for bugs 123279, 120012, 132165, and 132689, but not yet
  cleaning up any packages.  Stable bumps for known working versions.

  27 Apr 2006; Marien Zwart <marienz@gentoo.org> files/digest-graphviz-1.10,
  files/digest-graphviz-1.12, files/digest-graphviz-1.12-r1,
  files/digest-graphviz-1.16, files/digest-graphviz-1.16-r1,
  files/digest-graphviz-2.2, files/digest-graphviz-2.2.1,
  files/digest-graphviz-2.2.1-r1, files/digest-graphviz-2.4,
  files/digest-graphviz-2.6, files/digest-graphviz-2.6-r1, Manifest:
  Fixing SHA256 digest, pass four

  04 Apr 2006; Diego Pettenò <flameeyes@gentoo.org> graphviz-2.6-r1.ebuild:
  Add ~x86-fbsd keyword.

*graphviz-2.6-r1 (22 Jan 2006)

  22 Jan 2006; Marcelo Goes <vanquirius@gentoo.org> +graphviz-2.6-r1.ebuild:
  Fix docs installation path for bug 117011. Thanks to Chris Mayo <mayo at
  clara dot co dot uk>.

  05 Jan 2006; Mike Frysinger <vapier@gentoo.org> graphviz-1.16-r1.ebuild,
  graphviz-2.6.ebuild:
  Remove gettext from DEPEND as it is no longer needed and spread the SuperH
  love.

  20 Nov 2005; Luca Barbato <lu_zero@gentoo.org>
  files/graphviz-1.16-tempdir.patch:
  Fixes bug #113044

  11 Nov 2005; Luca Barbato <lu_zero@gentoo.org>
  files/graphviz-1.16-tempdir.patch:
  Patch fixed

  10 Nov 2005; Luca Barbato <lu_zero@gentoo.org>
  files/graphviz-1.16-tempdir.patch:
  Updated patch as requested in bug #108690

  09 Nov 2005; Fabian Groffen <grobian@gentoo.org>
  +files/graphviz-2.6-macos.patch, graphviz-2.6.ebuild:
  Define 'environ' so linking actually succeeds on OSX (bug #111504)

  03 Nov 2005; Luca Barbato <lu_zero@gentoo.org> graphviz-1.16-r1.ebuild:
  Backport 2.6 postinst

  31 Oct 2005; Lina Pezzella <j4rg0n@gentoo.org>
  +files/graphviz-2.6-no-undefined.patch, graphviz-2.4.ebuild,
  graphviz-2.6.ebuild:
  Fix for undefined symbols on ppc-macos. Conditional on OS in Makefile rather
  than the ebuild. Keyworded testing ppc-macos.

  28 Oct 2005; Bryan Østergaard <kloeri@gentoo.org> graphviz-2.6.ebuild:
  Add ~alpha + ~ia64 keywords.

  28 Oct 2005; Simon Stelling <blubb@gentoo.org> graphviz-1.16-r1.ebuild:
  stable on amd64 wrt bug 108690

  26 Oct 2005; Lina Pezzella <j4rg0n@gentoo.org> graphviz-2.4.ebuild:
  Testing ppc-macos

  25 Oct 2005; Rene Nussbaumer <killerfox@gentoo.org> graphviz-2.6.ebuild:
  Unstable on hppa.

*graphviz-1.16-r1 (24 Oct 2005)

  24 Oct 2005; Luca Barbato <lu_zero@gentoo.org> +graphviz-1.16-r1.ebuild:
  revbump

  24 Oct 2005; Luca Barbato <lu_zero@gentoo.org>
  +files/graphviz-1.16-tempdir.patch, graphviz-1.16.ebuild:
  Fix for bug #108690

  24 Sep 2005; Mark Loeser <halcy0n@gentoo.org> graphviz-1.10.ebuild,
  graphviz-1.12.ebuild, graphviz-1.12-r1.ebuild, graphviz-1.16.ebuild,
  graphviz-2.2.ebuild, graphviz-2.2.1.ebuild, graphviz-2.2.1-r1.ebuild,
  graphviz-2.4.ebuild, graphviz-2.6.ebuild:
  Added sys-devel/gettext to DEPEND; bug #81395

*graphviz-2.6 (15 Sep 2005)

  15 Sep 2005; Steve Arnold <nerdboy@gentoo.org> +graphviz-2.6.ebuild:
  added latest version for doxygen and bug #105041, and added ~sparc back;
  modified user-submitted ebuild from Dick Marinus <dm@chello.nl> (thanks!)

  13 Sep 2005; Aron Griffis <agriffis@gentoo.org> graphviz-1.16.ebuild:
  Mark 1.16 stable on alpha

  24 Aug 2005; Aron Griffis <agriffis@gentoo.org> graphviz-1.16.ebuild:
  stable on ia64

  21 Aug 2005; Marcelo Goes <vanquirius@gentoo.org> -graphviz-2.4-r1.ebuild:
  Removing this revision bump as it does not fix bug 101337 at all.

*graphviz-2.4-r1 (21 Aug 2005)

  21 Aug 2005; Marcelo Goes <vanquirius@gentoo.org>
  +files/graphviz-2.4.conf, +graphviz-2.4-r1.ebuild:
  Revision bump. Install a sample configuration file for bug 101337. Thanks to
  everyone participating in the bug.

  13 Aug 2005; Marcelo Goes <vanquirius@gentoo.org> graphviz-1.10.ebuild:
  Use mirror://gentoo for src_uri since this version is no longer available in
  upstream servers. Fixes bug 64593. Thanks to <ted.reed@gmail.com> and
  others.

*graphviz-2.4 (02 Aug 2005)

  02 Aug 2005; <sekretarz@gentoo.org> +graphviz-2.4.ebuild:
  Version bump, bug #99802

  02 Aug 2005; <sekretarz@gentoo.org> graphviz-1.16.ebuild,
  graphviz-2.2.1-r1.ebuild:
  pdf files doesn't need to be gziped, bug #97095

  01 Aug 2005; <sekretarz@gentoo.org> graphviz-1.16.ebuild:
  Added -a switch to automake to add missing files, cought by Volkov Peter
  <torre_cremata@mail.ru> in bug #100593

  12 Jul 2005; Stephen P. Becker <geoman@gentoo.org> graphviz-1.16.ebuild:
  stable on mips

*graphviz-2.2.1-r1 (26 Jun 2005)

  26 Jun 2005; Luca Barbato <lu_zero@gentoo.org> graphviz-2.2.1.ebuild,
  +graphviz-2.2.1-r1.ebuild:
  Make sure that every arch has a 2.2.1

  26 Jun 2005; Luca Barbato <lu_zero@gentoo.org> graphviz-2.2.1.ebuild:
  New version, kindly provided by John Ellson <ellson@research.att.com> in bug
  #89403

  20 Jun 2005; Rene Nussbaumer <killerfox@gentoo.org> graphviz-1.16.ebuild:
  Stable on hppa.

  14 Jun 2005; Jason Wever <weeve@gentoo.org> graphviz-2.2.1.ebuild:
  Added ~sparc keyword because pplz didn't love us enough to keep our keyword
  in there :(

  06 Jun 2005; Markus Rothe <corsair@gentoo.org> graphviz-1.16.ebuild:
  Stable on ppc64

  05 Jun 2005; Michael Hanselmann <hansmi@gentoo.org> graphviz-1.16.ebuild:
  Stable on ppc.

  31 May 2005; Lina Pezzella <j4rg0n@gentoo.org> graphviz-1.16.ebuild:
  Stable ppc-macos

  30 May 2005; Gustavo Zacarias <gustavoz@gentoo.org> graphviz-1.16.ebuild:
  Stable on sparc, for real

  30 May 2005; Steve Arnold <nerdboy@gentoo.org> graphviz-1.12.ebuild,
  graphviz-1.12-r1.ebuild, graphviz-1.16.ebuild:
  updating for doxygen; all 1.x versions work fine on x86 and sparc

*graphviz-2.2.1 (18 May 2005)

  18 May 2005; Luca Barbato <lu_zero@gentoo.org> +graphviz-2.2.1.ebuild:
  New Version

*graphviz-2.2 (20 Mar 2005)

  20 Mar 2005; Luca Barbato <lu_zero@gentoo.org> +graphviz-2.2.ebuild:
  New version

  20 Feb 2005; Sven Wegener <swegener@gentoo.org> graphviz-1.16.ebuild:
  Added missing digest entries. Made the graphviz-1.16-panic.patch.tar.bz2
  SRC_URI dependant on the ppc-macos flag.

  18 Feb 2005; Lina Pezzella <j4rg0n@gentoo.org>
  +files/graphviz-1.16-common_h.patch, +files/graphviz-1.16-panic.patch,
  graphviz-1.16.ebuild:
  Patched to build on ppc-macos

  18 Dec 2004; Luca Barbato <lu_zero@gentoo.org>
  +files/graphviz-1.16-build.patch, graphviz-1.16.ebuild:
  Fix gcc-3.4 compatibility, thanks to Rodolfo Boer <rodolfo_mv@libero.it> for
  the patch

  14 Dec 2004; Robin H. Johnson <robbat2@gentoo.org> graphviz-1.16.ebuild:
  Can't seperate out GD yet, still a few bugs.

*graphviz-1.16 (14 Dec 2004)

  14 Dec 2004; Robin H. Johnson <robbat2@gentoo.org> graphviz-1.12-r1.ebuild,
  graphviz-1.16:
  Bugs #58592, #73218.

  07 Nov 2004; Karol Wojtaszek <sekretarz@gentoo.org>
  graphviz-1.10.ebuild, graphviz-1.12-r1.ebuild, graphviz-1.12.ebuild:
  Fixed URI_SRC to download new configure script. bug #70086 and fixed LICENCEs

*graphviz-1.12-r1 (25 Jul 2004)

  25 Jul 2004; Robin H. Johnson <robbat2@gentoo.org> :
  bug #58028, improved to be cleaner.

*graphviz-1.12 (22 Jul 2004)

  22 Jul 2004; Aron Griffis <agriffis@gentoo.org> graphviz-1.10.ebuild:
  Update SRC_URI #53602, bump to 1.12 #52343, run gnuconfig_update in src_unpack

  20 Jul 2004; Tom Gall <tgall@gentoo.org> graphviz-1.10.ebuild:
  stable on ppc64, bug #57163

  05 Jun 2004; Stephen P. Becker <geoman@gentoo.org> graphviz-1.10.ebuild:
  Added gnuconfig tweak for mips.

  03 Jun 2004; Stephen P. Becker <geoman@gentoo.org> graphviz-1.10.ebuild:
  Stable on mips.

  25 Apr 2004; Aron Griffis <agriffis@gentoo.org> graphviz-1.10.ebuild:
  Add die following econf for bug 48950

  24 Apr 2004; Bret Curtis <psi29a@gentoo.org> graphviz-1.10.ebuild:
  Added to ~mips

  27 Jan 2004; <gustavoz@gentoo.org> graphviz-1.10.ebuild:
  marked stable on sparc

  15 Jan 2004; <agriffis@gentoo.org> graphviz-1.10.ebuild:
  stable on alpha and ia64

  06 Dec 2003; Caleb Tennis <caleb@gentoo.org> graphviz-1.10.ebuild,
  graphviz-1.9.ebuild:
  Changed dep versions ( >=pkg-ver* to >=pkg-ver ) fixing bug 35193

  16 Nov 2003; Brad House <brad_mssw@gentoo.org> graphviz-1.8.10-r3.ebuild,
  graphviz-1.8.10.ebuild:
  mark stable on amd64

  16 Nov 2003; Brad House <brad_mssw@gentoo.org> graphviz-1.10.ebuild:
  add ~amd64 flag

  10 Oct 2003; Marius Mauch <genone@gentoo.org> graphviz-1.10.ebuild:
  small fix to make sort from coreutils-5 happy

*graphviz-1.10 (27 Sep 2003)

  27 Sep 2003; Markus Nigbur <pyrania@gentoo.org> graphviz-1.10.ebuild,
  Bump

*graphviz-1.9 (22 Feb 2003)

  27 Sep 2003; Markus Nigbur <pyrania@gentoo.org> graphviz-1.9.ebuild,
  Fixed SRC_URI (bug #29749)

  16 Jun 2003; Will Woods <wwoods@gentoo.org> graphviz-1.9.ebuild:
  added alpha to KEYWORDS.

  05 May 2003; Luca Barbato <@gentoo.org> graphviz-1.9.ebuild:
  Added ppc to keywords.

  24 Apr 2003; Stanislav Brabec <utx@gentoo.org> graphviz-1.9.ebuild:
  Fixed DEPEND for tk-8.4.

  06 Apr 2003; Jason Wever <weeve@gentoo.org> graphviz-1.9.ebuild:
  Added sparc to keywords.

  19 Mar 2003; George Shapovalov <george@gentoo.org> graphviz-1.9.ebuild :
  1.9 cannot be built with gcc-2.95.x. (#16018)
  added >=sys-devel/gcc-3.2* to DEPEND and <media-gfx/graphviz-1.9 to all gcc-2 based profiles

  22 Feb 2003; George Shapovalov <george@gentoo.org> graphviz-1.9.ebuild :
  new version (#15923)
  now compiles against libpng-1.2!
  ebuild submitted by Tom Payne <gentoo@tompayne.org>

*graphviz-1.8.10-r3 (21 Jan 2003)

  19 Mar 2003; Jason Wever <weeve@gentoo.org> graphviz-1.8.10-r3.ebuild:
  Added ~sparc to keywords.

  13 Mar 2003; Olivier Reisch <doctomoe@gentoo.org> graphviz-1.8.10-r3.ebuild :
  Marked ppc stable

  21 Jan 2003; George Shapovalov <george@gentoo.org> graphviz-1.8.10-r3.ebuild :
  Another libpng-1.0 related fix. Now made sure all -lpng are replaced by lpng10, as quite often
  gcc tries to link against libpng.so.3 instead of libpng.so.2. See #12433.
  As the fixed problem tends to lead to silent failures, -r bumping the ebuild to force rebuild.

*graphviz-1.8.10-r2 (14 Jan 2003)

  14 Jan 2003; George Shapovalov <george@gentoo.org> graphviz-1.8.10-r2.ebuild :

  Following up on seemant's fix to libpng-1.0 series upated the graphviz ebuild to link against correct 
  version of libpng. Please see #10726 for more details.

*graphviz-1.8.10-r1 (10 Nov 2002)

  10 Nov 2002; George Shapovalov <george@gentoo.org> graphviz-1.8.10-r1.ebuild, files/ :

  removed libpng dependency and made package compile without libpng. 
  Reason: at the moment this is the only app left in portage that depends on libpng-1.0 
  series (often won't compile against 1.2) and libpng-1.0 is creating a lot of trouble 
  for example with kdelibs. See #10726 for details.

*graphviz-1.8.10 (10 Nov 2002)

  10 Nov 2002; George Shapovalov <george@gentoo.org> graphviz-1.8.10.ebuild :
   new version.
   Fixes some weird issue, possibly libpng related. This app still depends on libpng-1.0.x!!
   Corrected the dependency. See #9702 for more details.

*graphviz-1.7.15-r2 (12 Apr 2002)

  14 Aug 2002; Pieter Van den Abeele <pvdabeel@gentoo.org> :
  Added ppc keyword

  12 Apr 2002; Seemant Kulleen <seemant@gentoo.org> graphviz-1.7.15-r2.ebuild :

  Compile against newest libpng

*graphviz-1.7.15-r1 (1 Feb 2002)


